> ## Documentation Index
> Fetch the complete documentation index at: https://docs.topsort.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Adjust Wallet Balance

> Endpoint to change the balance for a wallet.

It will add the amount to the wallet if the amount is positive and burn the amount if it is negative.
The amount is ISO 4217 currency code compliant meaning that 100 as an input for USD marketplace will be 1 USD.



## OpenAPI

````yaml /openapi.json post /public/v1/billing-service/vendors/{external-vendor-id}/wallets/{wallet-id}/adjust
openapi: 3.1.0
info:
  title: Topsort Endpoints v2 API Reference
  description: >
    In order for a storefront to be able to run auctions in Topsort and report
    auction-related events back to Topsort,

    both the `/v2/auctions` and `/v2/events` endpoints must be integrated.

    Below are the endpoint and model definitions for each.
  contact:
    email: wicha@topsort.com
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  x-logo:
    url: https://assets.topsort.com/Topsort_logo_icon_dark.svg
    backgroundColor: '#fff'
    altText: Topsort
  version: 2.0.0
servers:
  - url: https://api.topsort.com
    description: Base API URL
security: []
tags:
  - name: Auctions
    description: >-
      An auction determines which products should be promoted based on the
      vendors' bids.
  - name: Events
    description: >-
      Events are sent to Topsort as part of the attribution and reporting
      journey.
  - name: Toptimize
    description: >
      An out-of-the-box solution for prediction, ranking, retrieval, and other
      elements of ad selection.
  - name: Toppie API
    description: Toppie management API.
  - name: Campaign API
    description: Full-featured campaign management API for banners and sponsored listings.
  - name: Catalog API
    description: Products catalog management API.
  - name: Billing API
    description: Marketplace and Vendor Billing management API.
  - name: Reporting API
    description: Marketplace, Vendor, Campaign, and product reporting API.
  - name: Invitation API
    description: Vendor invitations management API.
  - name: User API
    description: User management API.
  - name: Webhooks API
    description: Webhooks API that allows event-driven automation.
  - name: Assets API
    description: Assets management API.
  - name: Segments Service
    description: Segments Service.
  - name: Forecasting Service
    description: Toptimize Forecasting Service.
  - name: Offsite Ads API
    description: Offsite Ads API that allows to manage offsite ads campaigns.
  - name: Media API
    description: Ad configuration API.
paths:
  /public/v1/billing-service/vendors/{external-vendor-id}/wallets/{wallet-id}/adjust:
    post:
      tags:
        - Billing API
      summary: Adjust Wallet Balance
      description: >-
        Endpoint to change the balance for a wallet.


        It will add the amount to the wallet if the amount is positive and burn
        the amount if it is negative.

        The amount is ISO 4217 currency code compliant meaning that 100 as an
        input for USD marketplace will be 1 USD.
      operationId: adjust_wallet_balance
      parameters:
        - name: external-vendor-id
          in: path
          required: true
          schema:
            type: string
            minLength: 1
            description: The External ID of the Vendor to retrieve.
          description: The External ID of the Vendor to retrieve.
        - name: wallet-id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            description: The ID of the wallet to retrieve.
          description: The ID of the wallet to retrieve.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Advanced_APIs_AdjustBalanceRequestPublic'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Advanced_APIs_AdjustBalanceResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Advanced_APIs_HTTPValidationError'
      security:
        - Advanced_APIs_HTTPBearer: []
components:
  schemas:
    Advanced_APIs_AdjustBalanceRequestPublic:
      properties:
        amount:
          type: integer
          title: Amount
          description: >-
            Amount to add to the balance. This value must be non-zero. ISO 4217
            standard.
          examples:
            - 100
        description:
          type: string
          minLength: 1
          title: Description
          description: Reason given to adjust the amount
          examples:
            - Vendor used the money for other ads
      type: object
      required:
        - amount
        - description
      title: AdjustBalanceRequestPublic
    Advanced_APIs_AdjustBalanceResponse:
      properties:
        balance:
          type: integer
          title: Balance
          description: Resulting balance of an adjustment. ISO 4217 standard
      type: object
      required:
        - balance
      title: AdjustBalanceResponse
    Advanced_APIs_HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Advanced_APIs_ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    Advanced_APIs_ValidationError:
      properties:
        loc:
          items:
            oneOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    Advanced_APIs_HTTPBearer:
      type: http
      description: >-
        A valid API key generated in Topsort's UI. Use the TSE API key if
        calling auctions or events API, otherwise use the TSC API key.
      scheme: bearer

````